module ProductApp{
    interface Product {
        wstring listProducts(in wstring category);
        wstring listCategories();
        boolean eliminateProduct(in wstring code);
        wstring returnProduct(in wstring code);
        boolean updateInformation(in wstring code, in wstring description, in wstring codeCategory, in wstring price, in wstring stock);
        oneway void shutdown();
    };
};
